# dpx::IndustryHeader Struct Reference

Motion Picture and Television Industry Specific Information. More...

`#include <DPXHeader.h>`

Inherited by dpx::Header.

List of all members.

## Public Member Functions
| IndustryHeader ()
| Constructor.
void | Reset ()
| Reset class to initial state.
Motion Picture Industry Specific Methods
void | FilmEdgeCode (char *edge) const
| Get the film edge code information that is machine readable.
void | SetFileEdgeCode (const char *edge)
| Set the film edge code information that is machine readable.
void | Format (char *fmt) const
| Get the format (e.g., Academy).
void | SetFormat (const char *fmt)
| Set the format (e.g., Academy).
U32 | FramePosition () const
| Get the frame position in sequence.
void | SetFramePosition (const U32 pos)
| Set the frame position in sequence.
U32 | SequenceLength () const
| Get the total number of frames in sequence.
void | SetSequenceLength (const U32 len)
| Set the total number of frames in sequence.
U32 | HeldCount () const
| Get the how many sequential frames for which to hold current frame.
void | SetHeldCount (const U32 count)
| Set the how many sequential frames for which to hold current frame.
R32 | FrameRate () const
| Get the frame rate (frames / second).
void | SetFrameRate (const R32 rate)
| Set the frame rate (frames / second).
R32 | ShutterAngle () const
| Get the shutter angle of the motion picture camera.
void | SetShutterAngle (const R32 angle)
| Set the shutter angle of the motion picture camera.
void | FrameId (char *id) const
| Get the user-defined frame identification.
void | SetFrameId (const char *id)
| Set the user-defined frame identification.
void | SlateInfo (char *slate) const
| Get the production information from the camera slate.
void | SetSlateInfo (const char *slate)
| Set the production information from the camera slate.
Television Industry Specific Methods
void | TimeCode (char *str) const
| Get the time code.
void | SetTimeCode (const char *str)
| Set the time code.
void | UserBits (char *str) const
| Get the user bits.
void | SetUserBits (const char *str)
| Set the user bits.
U8 | Interlace () const
| Get the interlace (0 = noninterlace, 1 = 2:1 interlace).
void | SetInterlace (const U8 lace)
| Set the interlace (0 = noninterlace, 1 = 2:1 interlace).
U8 | FieldNumber () const
| Get the field number of the video decoded.
void | SetFieldNumber (const U8 fn)
| Set the field number of the video decoded.
VideoSignal | Signal () const
| Get the video sournce.
void | SetSignal (const VideoSignal vs)
| Set the video sournce.
R32 | HorizontalSampleRate () const
| Get the clock rate at which samples were aquired.
void | SetHorizontalSampleRate (const R32 rate)
| Set the clock rate at which samples were aquired.
R32 | VerticalSampleRate () const
| Get the rate at which scanning the whole image is repeated.
void | SetVerticalSampleRate (const R32 rate)
| Set the rate at which scanning the whole image is repeated.
R32 | TemporalFrameRate () const
| Get the applied gamma correction.
void | SetTemporalFrameRate (const R32 rate)
| Set the applied gamma correction.
R32 | TimeOffset () const
| Get the time offset from sync to first pixel.
void | SetTimeOffset (const R32 offset)
| Set the time offset from sync to first pixel.
R32 | Gamma () const
| Get the applied gamma correction.
void | SetGamma (const R32 g)
| Set the applied gamma correction.
R32 | BlackLevel () const
| Get the reference black level.
void | SetBlackLevel (const R32 bl)
| Set the reference black level.
R32 | BlackGain () const
| Get the gain applied to signals below the breakpoint.
void | SetBlackGain (const R32 bg)
| Set the gain applied to signals below the breakpoint.
R32 | BreakPoint () const
| Get the breakpoint which gamma is applied.
void | SetBreakPoint (const R32 bp)
| Set the breakpoint which gamma is applied.
R32 | WhiteLevel () const
| Get the reference white level.
void | SetWhiteLevel (const R32 wl)
| Set the reference white level.
R32 | IntegrationTimes () const
| Get the temporal sampling rate of television cameras.
void | SetIntegrationTimes (const R32 times)
| Set the temporal sampling rate of television cameras.
## Public Attributes
Motion Picture Industry Specific Members
ASCII | filmManufacturingIdCode [2]
| Film edge code manufacturing ID code.
ASCII | filmType [2]
| Film edge code type.
ASCII | perfsOffset [2]
| Film edge code offset in perfs.
ASCII | prefix [6]
| Film edge code prefix.
ASCII | count [4]
| Film edge code count.
ASCII | format [32]
| Format string, e.g. Academy.
U32 | framePosition
| Frame position in sequence.
U32 | sequenceLength
| Sequence length.
U32 | heldCount
| Held count (1 = default).
R32 | frameRate
| Frame rate of original (frame / sec).
R32 | shutterAngle
| Shutter angle of camera (degrees).
ASCII | frameId [32]
| Frame identification, e.g. keyframe.
ASCII | slateInfo [100]
| Slate information.
ASCII | reserved4 [56]
| Reserved.
Television Industry Specific Members
U32 | timeCode
| Time code.
U32 | userBits
| User bits.
U8 | interlace
| Interlace (0 = noninterlace, 1 = 2:1 interlace).
U8 | fieldNumber
| Field number.
U8 | videoSignal
| Video signal.
U8 | zero
| Structure alignment padding.
R32 | horizontalSampleRate
| Horizontal sample rate (in Hz).
R32 | verticalSampleRate
| Vertical sample rate (in Hz).
R32 | temporalFrameRate
| Temporal sample rate (in Hz).
R32 | timeOffset
| Time offset from sync to first pixel (in ms).
R32 | gamma
| Gamma.
R32 | blackLevel
| Black level.
R32 | blackGain
| Black gain.
R32 | breakPoint
| Break point.
R32 | whiteLevel
| White level.
R32 | integrationTimes
| Integration time (in sec).
ASCII | reserved5 [76]
| Reserved.
## Protected Member Functions
U32 | TCFromString (const char *str) const

## Detailed Description

Motion Picture and Television Industry Specific Information.

## Constructor & Destructor Documentation

dpx::IndustryHeader::IndustryHeader | ( |  | ) |

Constructor.

## Member Function Documentation

R32 dpx::IndustryHeader::BlackGain | ( |  | ) | const`[inline]`

Get the gain applied to signals below the breakpoint.

Returns:
  value

R32 dpx::IndustryHeader::BlackLevel | ( |  | ) | const`[inline]`

Get the reference black level.

Returns:
  value

R32 dpx::IndustryHeader::BreakPoint | ( |  | ) | const`[inline]`

Get the breakpoint which gamma is applied.

Returns:
  value

U8 dpx::IndustryHeader::FieldNumber | ( |  | ) | const`[inline]`

Get the field number of the video decoded.

Returns:
  field number

void dpx::IndustryHeader::FilmEdgeCode | ( | char * | edge | ) | const

Get the film edge code information that is machine readable.

Parameters:

  | edge | buffer to write film edge code information (16+1 chars)

void dpx::IndustryHeader::Format | ( | char * | fmt | ) | const`[inline]`

Get the format (e.g., Academy).

Parameters:

  | fmt | buffer to write format information (32+1 chars)

void dpx::IndustryHeader::FrameId | ( | char * | id | ) | const`[inline]`

Get the user-defined frame identification.

Parameters:

  | id | buffer to write frame identification (32+1 chars)

U32 dpx::IndustryHeader::FramePosition | ( |  | ) | const`[inline]`

Get the frame position in sequence.

Returns:
  position

R32 dpx::IndustryHeader::FrameRate | ( |  | ) | const`[inline]`

Get the frame rate (frames / second).

Returns:
  rate

R32 dpx::IndustryHeader::Gamma | ( |  | ) | const`[inline]`

Get the applied gamma correction.

Returns:
  gamma

U32 dpx::IndustryHeader::HeldCount | ( |  | ) | const`[inline]`

Get the how many sequential frames for which to hold current frame.

Returns:
  count

R32 dpx::IndustryHeader::HorizontalSampleRate | ( |  | ) | const`[inline]`

Get the clock rate at which samples were aquired.

Returns:
  rate

R32 dpx::IndustryHeader::IntegrationTimes | ( |  | ) | const`[inline]`

Get the temporal sampling rate of television cameras.

Returns:
  rate

U8 dpx::IndustryHeader::Interlace | ( |  | ) | const`[inline]`

Get the interlace (0 = noninterlace, 1 = 2:1 interlace).

Returns:
  interlace value

void dpx::IndustryHeader::Reset | ( |  | ) |

Reset class to initial state.

Reimplemented in dpx::Header.

U32 dpx::IndustryHeader::SequenceLength | ( |  | ) | const`[inline]`

Get the total number of frames in sequence.

Returns:
  length

void dpx::IndustryHeader::SetBlackGain | ( | const R32 | bg | ) | `[inline]`

Set the gain applied to signals below the breakpoint.

Parameters:

  | bg | value

void dpx::IndustryHeader::SetBlackLevel | ( | const R32 | bl | ) | `[inline]`

Set the reference black level.

Parameters:

  | bl | value

void dpx::IndustryHeader::SetBreakPoint | ( | const R32 | bp | ) | `[inline]`

Set the breakpoint which gamma is applied.

Parameters:

  | bp | value

void dpx::IndustryHeader::SetFieldNumber | ( | const U8 | fn | ) | `[inline]`

Set the field number of the video decoded.

Parameters:

  | fn | field number

void dpx::IndustryHeader::SetFileEdgeCode | ( | const char * | edge | ) |

Set the film edge code information that is machine readable.

Parameters:

  | edge | buffer with film edge code information

void dpx::IndustryHeader::SetFormat | ( | const char * | fmt | ) | `[inline]`

Set the format (e.g., Academy).

Parameters:

  | fmt | buffer with format information

void dpx::IndustryHeader::SetFrameId | ( | const char * | id | ) | `[inline]`

Set the user-defined frame identification.

Parameters:

  | id | buffer with frame identification

void dpx::IndustryHeader::SetFramePosition | ( | const U32 | pos | ) | `[inline]`

Set the frame position in sequence.

Parameters:

  | pos | position

void dpx::IndustryHeader::SetFrameRate | ( | const R32 | rate | ) | `[inline]`

Set the frame rate (frames / second).

Parameters:

  | rate | rate

void dpx::IndustryHeader::SetGamma | ( | const R32 | g | ) | `[inline]`

Set the applied gamma correction.

Parameters:

  | g | gamma

void dpx::IndustryHeader::SetHeldCount | ( | const U32 | count | ) | `[inline]`

Set the how many sequential frames for which to hold current frame.

Parameters:

  | count | count

void dpx::IndustryHeader::SetHorizontalSampleRate | ( | const R32 | rate | ) | `[inline]`

Set the clock rate at which samples were aquired.

Parameters:

  | rate | rate

void dpx::IndustryHeader::SetIntegrationTimes | ( | const R32 | times | ) | `[inline]`

Set the temporal sampling rate of television cameras.

Parameters:

  | times | rate

void dpx::IndustryHeader::SetInterlace | ( | const U8 | lace | ) | `[inline]`

Set the interlace (0 = noninterlace, 1 = 2:1 interlace).

Parameters:

  | lace | interlace value

void dpx::IndustryHeader::SetSequenceLength | ( | const U32 | len | ) | `[inline]`

Set the total number of frames in sequence.

Parameters:

  | len | length

void dpx::IndustryHeader::SetShutterAngle | ( | const R32 | angle | ) | `[inline]`

Set the shutter angle of the motion picture camera.

Parameters:

  | angle | degress of the temporal sampling aperture

void dpx::IndustryHeader::SetSignal | ( | const VideoSignal | vs | ) | `[inline]`

Set the video sournce.

Parameters:

  | vs | signal

void dpx::IndustryHeader::SetSlateInfo | ( | const char * | slate | ) | `[inline]`

Set the production information from the camera slate.

Parameters:

  | slate | buffer with slate information

void dpx::IndustryHeader::SetTemporalFrameRate | ( | const R32 | rate | ) | `[inline]`

Set the applied gamma correction.

Parameters:

  | rate | gamma

void dpx::IndustryHeader::SetTimeCode | ( | const char * | str | ) |

Set the time code.

Parameters:

  | str | buffer with time code

void dpx::IndustryHeader::SetTimeOffset | ( | const R32 | offset | ) | `[inline]`

Set the time offset from sync to first pixel.

Parameters:

  | offset | time in microseconds

void dpx::IndustryHeader::SetUserBits | ( | const char * | str | ) |

Set the user bits.

Parameters:

  | str | buffer with user bits

void dpx::IndustryHeader::SetVerticalSampleRate | ( | const R32 | rate | ) | `[inline]`

Set the rate at which scanning the whole image is repeated.

Parameters:

  | rate | rate

void dpx::IndustryHeader::SetWhiteLevel | ( | const R32 | wl | ) | `[inline]`

Set the reference white level.

Parameters:

  | wl | value

R32 dpx::IndustryHeader::ShutterAngle | ( |  | ) | const`[inline]`

Get the shutter angle of the motion picture camera.

Returns:
  degress of the temporal sampling aperture

VideoSignal dpx::IndustryHeader::Signal | ( |  | ) | const`[inline]`

Get the video sournce.

Returns:
  signal

void dpx::IndustryHeader::SlateInfo | ( | char * | slate | ) | const`[inline]`

Get the production information from the camera slate.

Parameters:

  | slate | buffer to write slate information (100+1 chars)

dpx::U32 dpx::IndustryHeader::TCFromString | ( | const char * | str | ) | const`[protected]`

R32 dpx::IndustryHeader::TemporalFrameRate | ( |  | ) | const`[inline]`

Get the applied gamma correction.

Returns:
  rate

void dpx::IndustryHeader::TimeCode | ( | char * | str | ) | const

Get the time code.

Parameters:

  | str | buffer to write time code (12 chars)

R32 dpx::IndustryHeader::TimeOffset | ( |  | ) | const`[inline]`

Get the time offset from sync to first pixel.

Returns:
  time in microseconds

void dpx::IndustryHeader::UserBits | ( | char * | str | ) | const

Get the user bits.

Parameters:

  | str | buffer to write user bits (12 chars)

R32 dpx::IndustryHeader::VerticalSampleRate | ( |  | ) | const`[inline]`

Get the rate at which scanning the whole image is repeated.

Returns:
  rate

R32 dpx::IndustryHeader::WhiteLevel | ( |  | ) | const`[inline]`

Get the reference white level.

Returns:
  value

## Member Data Documentation

R32 dpx::IndustryHeader::blackGain

Black gain.

R32 dpx::IndustryHeader::blackLevel

Black level.

R32 dpx::IndustryHeader::breakPoint

Break point.

ASCII dpx::IndustryHeader::count[4]

Film edge code count.

U8 dpx::IndustryHeader::fieldNumber

Field number.

ASCII dpx::IndustryHeader::filmManufacturingIdCode[2]

Film edge code manufacturing ID code.

ASCII dpx::IndustryHeader::filmType[2]

Film edge code type.

ASCII dpx::IndustryHeader::format[32]

Format string, e.g. Academy.

ASCII dpx::IndustryHeader::frameId[32]

Frame identification, e.g. keyframe.

U32 dpx::IndustryHeader::framePosition

Frame position in sequence.

R32 dpx::IndustryHeader::frameRate

Frame rate of original (frame / sec).

R32 dpx::IndustryHeader::gamma

Gamma.

U32 dpx::IndustryHeader::heldCount

Held count (1 = default).

R32 dpx::IndustryHeader::horizontalSampleRate

Horizontal sample rate (in Hz).

R32 dpx::IndustryHeader::integrationTimes

Integration time (in sec).

U8 dpx::IndustryHeader::interlace

Interlace (0 = noninterlace, 1 = 2:1 interlace).

ASCII dpx::IndustryHeader::perfsOffset[2]

Film edge code offset in perfs.

ASCII dpx::IndustryHeader::prefix[6]

Film edge code prefix.

ASCII dpx::IndustryHeader::reserved4[56]

Reserved.

ASCII dpx::IndustryHeader::reserved5[76]

Reserved.

U32 dpx::IndustryHeader::sequenceLength

Sequence length.

R32 dpx::IndustryHeader::shutterAngle

Shutter angle of camera (degrees).

ASCII dpx::IndustryHeader::slateInfo[100]

Slate information.

R32 dpx::IndustryHeader::temporalFrameRate

Temporal sample rate (in Hz).

U32 dpx::IndustryHeader::timeCode

Time code.

R32 dpx::IndustryHeader::timeOffset

Time offset from sync to first pixel (in ms).

U32 dpx::IndustryHeader::userBits

User bits.

R32 dpx::IndustryHeader::verticalSampleRate

Vertical sample rate (in Hz).

U8 dpx::IndustryHeader::videoSignal

Video signal.

See also:
  VideoSignal

R32 dpx::IndustryHeader::whiteLevel

White level.

U8 dpx::IndustryHeader::zero

Structure alignment padding.

The documentation for this struct was generated from the following files:

- /Users/patrick/Development/DPX/svn/source/DPXHeader.h
- /Users/patrick/Development/DPX/svn/source/DPXHeader.cpp